# List Listing Fulfillments

Launch stage: Public Preview

`GET /api/2.1/marketplace-consumer/listings/{listing_id}/fulfillments`

Get all listings fulfillments associated with a listing. A _fulfillment_ is a potential installation.
 Standard installations contain metadata about the attached share or git repo. Only one of these fields will be present.
 Personalized installations contain metadata about the attached share or git repo, as well as the Delta Sharing recipient type.

API scopes: marketplace

## Path parameters

- `listing_id` (string, optional)

## Query parameters

- `page_token` (string, optional)
- `page_size` (int32, optional)

## Returns

- `fulfillments` (array of object, optional)
  - `listing_id` (string, optional)
  - `fulfillment_type` (string, optional)
    Possible values: `REQUEST_ACCESS`, `INSTALL`
  - `share_info` (object, optional)
    - `name` (string, optional)
    - `type` (string, optional)
      Possible values: `SAMPLE`, `FULL`
  - `repo_info` (object, optional)
    - `git_repo_url` (string, optional)
      the git repo url e.g. https://github.com/databrickslabs/dolly.git
  - `recipient_type` (string, optional)
    Possible values: `DELTA_SHARING_RECIPIENT_TYPE_DATABRICKS`, `DELTA_SHARING_RECIPIENT_TYPE_OPEN`
- `next_page_token` (string, optional)

## Response

```json
{
  "fulfillments": [
    {
      "listing_id": "string",
      "fulfillment_type": "string",
      "share_info": {},
      "repo_info": {},
      "recipient_type": "string"
    }
  ],
  "next_page_token": "string"
}
```

